#!/usr/bin/python
# -*- coding:utf-8 -*-
import serial
import os
import sys
import logging

logging.basicConfig(level=logging.INFO)
libdir = os.path.join(os.path.dirname(os.path.dirname(os.path.realpath(__file__))), 'lib')
if os.path.exists(libdir):
    sys.path.append(libdir)
    
import RPi.GPIO as GPIO
import time
from waveshare_RS485_RS232_HAT import config


ser = config.config(Baudrate = 115200 , dev = "/dev/ttySC1")
data = ''
time.sleep(0.5)#Waiting to send
ser.Uart_SendString('Waveshare RS485 RS232 HAT\r\n')
time.sleep(0.5)#Waiting to send

try:
    while(1):
        data_t = ser.Uart_ReceiveByte()
        data += str(data_t)
        if(data_t == '\n'):
            print(data)
            ser.Uart_SendString(data)
            time.sleep(0.005)#Waiting to send
            data = ''
            
except KeyboardInterrupt:    
    logging.info("ctrl + c:")
    exit()


     
     
     
     