#!/usr/bin/python
# -*- coding:utf-8 -*-
import serial
import os
import sys
import logging
import time
import RPi.GPIO as GPIO

logging.basicConfig(level=logging.INFO)
libdir = os.path.join(os.path.dirname(os.path.dirname(os.path.realpath(__file__))), 'lib')
if os.path.exists(libdir):
    sys.path.append(libdir)

from waveshare_RS485_RS232_HAT import config

ser1 = config.config(Baudrate=115200, dev = "/dev/ttySC0")
ser2 = config.config(Baudrate=115200, dev = "/dev/ttySC1")
data = ''
RS485EN = 22

try: 
    while(1):
        GPIO.output(RS485EN, GPIO.LOW) 
        time.sleep(0.01)
        ser1.Uart_SendString('Waveshare RS485 RS232 HAT\r\n')
        data_t = ser2.Uart_ReceiveString(27)
        print(data_t)
        if(data_t == 'Waveshare RS485 RS232 HAT\r\n'):
            print("RS485 sends RS232 reception successfully\r\n\n\n")    
        time.sleep(1)
        
        GPIO.output(RS485EN, GPIO.HIGH)
        time.sleep(0.01)
        ser2.Uart_SendString('Waveshare RS485 RS232 HAT\r\n')
        data_t = ser1.Uart_ReceiveString(27)
        print(data_t)
        if(data_t == 'Waveshare RS485 RS232 HAT\r\n'):
            print("RS232 sends RS485 reception successfully\r\n\n\n")
        time.sleep(1)
        
        
except KeyboardInterrupt:    
    logging.info("ctrl + c:")
    exit()


    
     
     
     